plugins {
    id 'com.android.library'
    id 'kotlin-android'
}

android {
    compileSdkVersion 33
//    buildToolsVersion "30.0.3"

    defaultConfig {
        minSdkVersion 21
        targetSdkVersion 33

        testInstrumentationRunner "androidx.test.runner.AndroidJUnitRunner"
        consumerProguardFiles "consumer-rules.pro"
    }

    buildTypes {
        release {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android-optimize.txt'), 'proguard-rules.pro'
        }
    }
    compileOptions {
        sourceCompatibility JavaVersion.VERSION_1_8
        targetCompatibility JavaVersion.VERSION_1_8
    }
    kotlinOptions {
        jvmTarget = '1.8'
    }
    lint {
        abortOnError false
        disable 'RestrictedApi'
    }
    namespace 'com.abbidot.baselibrary'
}

dependencies {

    testImplementation 'junit:junit:4.13.2'
    androidTestImplementation 'androidx.test.ext:junit:1.2.1'
    androidTestImplementation 'androidx.test.espresso:espresso-core:3.6.1'

    // Android官方库
    api "org.jetbrains.kotlin:kotlin-stdlib:$kotlin_version"
    api 'androidx.core:core-ktx:1.13.1'
    api 'androidx.appcompat:appcompat:1.7.0'
    api 'com.google.android.material:material:1.10.0'

    //SharedPreferences的替代https://github.com/Tencent/MMKV
    implementation 'com.tencent:mmkv-static:2.2.2'

    // Retrofit2
    api 'com.squareup.retrofit2:retrofit:3.0.0'
//    implementation("com.squareup.retrofit2:adapter-rxjava2:${versions.retrofit2}")
    implementation 'com.squareup.retrofit2:converter-gson:3.0.0'
//    implementation("com.squareup.retrofit2:converter-scalars:${versions.retrofit2}")

    //okhttp3
    implementation 'com.squareup.okhttp3:okhttp:5.1.0'
    implementation 'com.squareup.okhttp3:logging-interceptor:5.1.0'
}